#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/harelba/q.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3

#export Q_DEBUG=True

override_dh_auto_clean:
	rm -rf build .pytest_cache
	rm -rf *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/python3-q-text-as-data/usr/bin
	cp bin/q.py $(CURDIR)/debian/python3-q-text-as-data/usr/bin/q

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		echo "===> Testing with python$$pyvers" ; \
		PYTHON=python$$pyvers python$$pyvers -m pytest -m 'not benchmark' -v ; \
	done
endif

